Discover external MCP connection requirements
curl --request POST \
--url https://api.openworklabs.com/v1/mcp-connections/discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://api.openworklabs.com/v1/mcp-connections/discover"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.openworklabs.com/v1/mcp-connections/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ready",
"server": {
"url": "<string>",
"initialize": "succeeded",
"protocolVersion": "<string>"
},
"authentication": {
"kind": "none",
"authorizationServers": [
{
"issuer": "<string>",
"clientIdMetadataDocumentSupported": true,
"authorizationEndpoint": "<string>",
"tokenEndpoint": "<string>",
"registrationEndpoint": "<string>",
"scopesSupported": [
"<string>"
],
"grantTypesSupported": [
"<string>"
],
"codeChallengeMethodsSupported": [
"<string>"
],
"tokenEndpointAuthMethodsSupported": [
"<string>"
]
}
],
"requiredScopes": [
"<string>"
],
"recommendedScopes": [
"<string>"
],
"refreshSupport": "supported",
"availableRegistrationMethods": [
"pre_registered"
],
"recommendedRegistrationMethod": "client_metadata",
"resource": "<string>",
"protectedResourceMetadataUrl": "<string>"
},
"tools": {
"visibility": "available_without_auth",
"count": 4503599627370495,
"items": [
{
"name": "<string>",
"readOnlyHint": true,
"destructiveHint": true,
"openWorldHint": true
}
]
},
"manualRequirements": [
{
"code": "<string>",
"label": "<string>",
"reason": "<string>",
"required": true
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "requirements_discovery_failed",
"message": "<string>"
}Authentication
Discover external MCP connection requirements
Side-effect-free requirements discovery for any organization member, through the same guarded fetch as connection setup. It performs no client registration, credential write, or connection creation.
POST
/
v1
/
mcp-connections
/
discover
Discover external MCP connection requirements
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Body
application/json
Maximum string length:
2048Response
Requirements discovery result.
Available options:
ready, manual_action_required, unsupported, unreachable Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?